Subject: bug#1908: closed (Re: bug#1908: ange-ftp does not support extended passive mode)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Aug 2016 17:46:02 +0000

Your bug report

#1908: ange-ftp does not support extended passive mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
1908: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1908
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1908: ange-ftp does not support extended passive mode
From: Michael Albinus <[email-masked]>
To: Xah Lee <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Aug 2016 19:45:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Xah Lee <[email-masked]> writes:

> hi Michael,

Hi Xah,

> very old indeed! I think we can close it.
>
> For me, I haven't heard of ftp in tech sphere for many years. I
> haven't used any ftp for perhaps 5 years. (maybe except downloading
> gnu emacs from fsf via browser)

Thanks for confirmation. So I close the bug.

> Thank you for writing. Best.
>
>  Xah

Best regards, Michael.

Subject: ange-ftp does not support extended passive mode
From: xah lee <[email-masked]>
To: [email-masked]
Date: Wed, 14 Jan 2009 14:50:58 -0800

Summary: ange-ftp mode does not support the extended passive mode  
(epsv) mode.

Explanation:

when connecting to the server in the command line using
ftp, i get this error:

[xah@xahg5][Tue Jan 13 09:37:40][~]
ftp [email-masked]
Connected to example.com.
220 FTP Server ready.
331 Password required for joe.
Password:
230 User joe logged in.
Remote system type is UNIX.
Using binary mode to transfer files.
ftp> ls
229 Entering Extended Passive Mode (|||40104|)
500 Illegal EPRT command
200 PORT command successful

421 Service not available, remote server timed out. Connection closed
ftp>

a web search suggests to use “passive off” and or “epsv”  
commands.
The epsv command worked for me.

ftp [email-masked]
Connected to example.com.
220 FTP Server ready.
331 Password required for joe.
Password:
230 User joe logged in.
Remote system type is UNIX.
Using binary mode to transfer files.
ftp> epsv
EPSV/EPRT on IPv4 off.
ftp> ls
227 Entering Passive Mode (68,75,114,108,156,180).
150 Opening ASCII mode data connection for file list
... [file listed]

However, i need to use it inside emacs to be able to dev on the site.
i don't see any customizable var about epsv in
ange-ftp's customize panel.

(yes i know about sftp, ssh... Not a option here. ange-ftp has  
passive mode, but that doesn't work for me in this case)

PS about two weeks ago i reported a bug about zip file and got a  
reply of request for example... sorry haven't had time to respond to  
it yet.

   Xah
∑http://xahlee.org/

☄